WWW Support Introduction

This document provides conceptual and reference information for users of WWW Support. The help consists of User’s Guide and Reference sections for each subsystem of WWW Support. For more information on each of these sections, see Roadmap to the WWW Support documentation.

In addition to the sections for each subsystem, this document contains an overview section. This section contains the following topics that provide general information about WWW Support.

  • What is WWW Support

  • Roadmap to the WWW Support documentation

  • System deployment

  • Requirements

  • Copyright and Legal Information


What is WWW Support

The following are main objectives of WWW Support.

  • Provide effective collaboration of distributed development teams

  • Creating web based systems for customer support which can include subsystems such as a conference, news, knowledge base, bug tracking, and feedback.


Roadmap to WWW Support documentation

This documentation contains two main sections: User’s Guide, and Reference. User’s Guide introduces the basic functions of WWW Support, and provides conceptual and procedural information. The reference section provides detailed information about WWW Support subsystems, windows, and controls.

The following is a brief description of User’s Guide sections.

Using Administration

This section provides information about the administration subsystem including security and system configuration.

Using "Content Manager"

This section introduces the "Content Manager" subsystem which provides functionality of the knowledge base.

Using Forum

This section provides information about the "Forum" subsystem – the subsystem for creating and maintaining conferences and forums.

Using Feedback

This section introduces the "Feedback" subsystem. The "Feedback" subsystem is a powerful user’s support tool. This subsystem tracks user’s requests and dispatches them between support personnel.

Using "Bug Tracking"

This section provides information about the "Bug Tracking subsystem. This section contains conceptual and procedural information about tasks and bug processing.

Using "Message Template"

This section introduces the "Message Template" subsystem. This section describes the creation and usage of message templates.

Using "Mail System"

This section introduces "Mail System" subsystem. This section describes how to organize email notification and newsletter subscriptions for registered users.

Using "Site Management"

This section introduces "Site Management" subsystem. This section describes how to organize site structure and to edit site’s hierarchy and separate pages.

Interface features

This section provides information about interface features of WWW Support.


System deployment

WWW Support can be deployed in two modes:

Private deployment

User installs system on his own server. Users reach the system through Internet or Intranet.

FOSS web server deployment

User uses the WWW Support system which is installed on server of FOSS Software Inc. Users reach the system through Internet.


Requirements

Access is recommend using Microsoft Internet Explorer (version 5.0 or later) or Netscape Communicator (4.0 or later), with a screen resolution at least 1024 x 768


Copyright and Legal Information

WWW Support system version 0.1.2 (02/23/04). Copyright © 2000-2004 FOSS Software Inc. All rights reserved.

FOSS Software Inc.

151 Main st. Suite 3

Salem, NH 03079

Ph: (603) 894-6425

(603) 894-6427

Fax: (603) 271 0077

foss@fossware.com


Using "Administration"

Security of WWW Support is based on three entities: role, project, and user.


Roles

Role has predefined permissions to the system objects and functionality. A role is a container for users. You can include or exclude users from a role. You can’t change role access to the system objects. It’s predefined and unchangeable. The following is full list of the system roles.

System Administrator

System Administrator has absolute and unrestricted access to any system resources such as Project Lists, Users Lists, Access Rights assignment and so on. There can be only one System Administrator per organization. A user can be delegated Systems Administrator rights during setup. User Administrator cannot be changed after. The System Administrator entry is typed in bold in all users’ lists.

Administrator

Administrator has the same rights as System Administrator except following difference: you can remove the administrator role from user. Only System Administrator can modify Administrator role.

Project administrator

Project administrator has full access to all resources within the project. Project administrator has authority to create new users, assign them access rights, and create forums, knowledge-base, and other resources. He cannot remove objects from the system and has no access to other projects.

Project manager

Project manager has access to objects only within a certain project and a certain group. He can make comments, redirect bugs to other project participants, change their status, and so on.

Project user

Project user has no predefined rights.

Anonymous

Anonymous is an unauthorized user. He has no login name and password. Anonymous can reach public resources such as Forum or Knowledge Base. Administrator can give Anonymous additional permissions.


Project

Project is a set of system resources. You can divide all processes of your company into projects. It helps organize the complex structure of a company into group resources such as users’ permissions, forums, knowledge bases and etc. Only a System Administrator can create or remove projects.

All projects have their own users permissions set. The user who has permissions to a project doesn’t transfer those permissions to other projects.

After deployment WWW Support has one project which is named "Public". The "Public" project is a primary project of the system and cannot be deleted.


User

User is a base object of security. All projects share a single user list but every project has its own user profile for each user.

The security configuration process is either inclusion or exclusion of users from roles. The user who is not assigned to any role of project is considered as Anonymous. He has access only to public objects. Administrator must include a user in a role to give the user permissions to the corresponding objects.

The system checks user authorization on the interface and the database levels. On the interface level the system prevents users from any misuse errors. The interface authorization level is just an auxiliary method of authorization because the main business processes take place on the server side. The database authorization level checks every database query and guarantees correctness of user actions.

All system variables have a lifespan of, by default, 20 minutes. This means, if an authorized user has been inactive for 20 minutes, the system will ask the user to login order to continue the work. Working anonymously doesn’t imply such limitations.


Using "Content Manager"

Content Manager Subsystem is a universal knowledge base. It can include articles, notes, descriptions, etc. You can easily store and find necessary information as well as protected information accessed through the security subsystem. Moreover, the content manager subsystem can be used as a universal tool for implementing features on your website such as FAQ, News, Product Description and etc.


Articles formatting

The Article is the elemental part of the Content Manager subsystem. Every article has the following attributes:

  • Title – up to 1000 symbols;

  • Summary - up to 1000 symbols;

  • Keywords – up to 1000 symbols. They are intended for fast searching. You can enter any word or word combinations separated by a space.

  • Published – can have the following parameters: unpublished, published on the date of publication, published.

  • Article body – the text of an article.

  • Attached files – every article can have up to 3 attachments with size no more than 500K each.

An article body can include tags for highlighting some parts of the text, such as italic or bold. If you make hyperlinks within the article body to other resources in the form of a URL, they will be displayed as active hyperlinks. For example, the text www.w3spt.com will be automatically replaced by http://www.w3spt.com. It is often necessary to highlight part of the text in some way. We suggest using a special tag for text highlighting: "<inset>". It can be used with the same rules as for an ordinary text. For example, fragment:

some text <inset> which I want to highlight </inset>

will look like:

some text

which I want to highlight

Please note that page translation and formatting is performed automatically, just press Enter in the required place as in a usual text editor.


Content Manager structure

All information in Content Manager is divided into Categories. The Categories is separated into Themes The three most frequently used categories are "Knowledge Base", ‘News" and ‘FAQ" and are installed initially and cannot be changed or removed. System Administrator or Administrator can create additional Categories and Themes.


Administration and security

Each Theme is managed independently. Each Theme has the following properties: name, language and description. The Language property allows creating multilingual divisions.

You can assign different permissions for each Theme individually. For example, some themes are available to Anonymous users and others are available only for authorized users. When you are creating themes for Anonymous keep in mind that to make the category available for anonymous users, it is necessary to allow at least Read level access for Anonymous users. For creating restricted access themes assign access permissions only for intended group of users. In this case, even entering Theme List page a user will see only available themes.


Creating link to message

To create a link to a Theme in an external site, copy the URL of the theme in the browser address line and place it on the page. Please note it’s necessary to provide anonymous users with "Read" permission, to make the article available for anonymous users.


Search

The Content Manager subsystem has search tool for performing quick searches of published Articles. Searches can be performed on keywords to reduce the search time. You can search either in a one theme or across all the theme of the chosen Category at once. You may also specify the language option.


Subscription

Content Manager Subsystem has Subscription Mode which enables you to get information about new articles entering the theme using e-mail. There are two Subscription Modes: notification or article distribution. Every user can adjust Subscription parameters for any theme at any time by selecting Subscription Menu for any Category.


Using "Forum"

The Forum subsystem allows you to create and to manage an unlimited number of forum conferences. Each conference consists of various numbers of messages. The messages are represented as "a tree" which makes it easy to understand which message gave rise to the discussion and which ones follow. Here you can easily view and answer a message, view the e-mail address of a sender, etc.


Administration and security

Only Administrator can manage forums options. To manage forums select the menu item Forums. On the page you will see the list of conferences available for the current user. You can sort and/or filter them by any column of the table.


Subscription

Using Subscription Mode you can easily subscribe to a forum and receive a notification about new reply messages by e-mail. Any user of the system with access to a certain forum conference can take advantage of Subscription Mode. By selecting one of two possible Subscription Modes: message subject or entire message, you will receive all messages entering a conference by e-mail. This mode is especially useful for conference administrators (moderators).


Auto Refresh Mode

Using Auto Refresh Mode you can track Forum changes online. Set refresh interval (in minutes). All new messages will be highlighted to attract your attention.


Creating link to message

To create a link to a Forum message in external site, copy URL of the message in the browser address line and place it on a certain page. Please note it’s necessary to provide anonymous users with "Write" permission, to make the forum available for anonymous users.


Using "Feedback"

The "Feedback" subsystem is a powerful user support tool. The subsystem tracks user’s requests and dispatches them between support personnel. Feedback ensures that none of user’s queries are lost and provides for properly dealing of issues between responsible support persons.


Administration

The "Feedback" system can have any number of zones. A zone is a message grouping, a logical integration of user messages from one or more projects. For example: you lead several projects and two of them have different ways of dealing with the same product. There is no need to create two different zones for each one of them. It is more efficient to create one zone available for all the members of both projects with individually assigned access rights.

Creating a zone, Administrator assigns a responsible person (broker) who will analyze and distribute incoming messages among the project participants. Immediately after a message has entered the system, the system sends the notification about this event to the broker by e-mail as well as to all members of the project who have subscribed to the messages. To manage Subscription, use the Feedback/Subscription Menu. To avoid traffic, the system will not send a message to its author, even if this person is the broker for that area and/or a subscriber to new messages.


Security

To assign permissions to a zone, click on Feedback/zone list. Use the "Change" link next to the zone name in the "Permission" column. You can select a project, user roles in this project and permissions for user access to zone messages. Within the WWW Support System the following access levels to messages are provided:

  • Read –read only. No modification is allowed.

  • Write – read and create new messages.

  • Full – full access, which also allows deleting messages from the system.


Message options

The main parameters of a message:

  • Message type –kind of message, e.g. "error", "question", "products request", etc. You can create your own message type.

  • User’s name – the name of the user who created the message.

  • User’s e-mail – the e-mail of the user who created the message.

  • Broker – a responsible person for message handling.

  • Subject – The subject of the message.

  • Status – The current status of the message, e.g. "open", "fixed", "closed", etc. You can create your own message status. To manage message status, use the Menu item Feedback/References.

  • Priority – any numeric value. You can use your own scale of priorities; the default priority is set to 3.

  • Program environment – the system automatically determines program environment of a message (some mistakes can be caused by a certain browser type and so on), e.g. "Environment: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; NET CLR 1.0.2914)"

  • Message body – contains message text and all subsequent notes of the people working with it.

  • Attached files – every message can have up to 3 attachments with size no more than 100K each. You can enclose screenshots, message excerpts, etc., everything that can help developers to localize and eliminate errors or respond to a message as soon as possible.

  • Date – the system automatically records the date of message creation.


Message processing

The work on a user’s message begins as soon as it enters the system. On entering, the message is automatically assigned to a broker. The broker can assign any message to any project member, can add comments, and can change status and/or priority of messages. Thus, the message is sent from one broker to another until it is closed. Then the message becomes inactive. However, the message is stored in the system and all users can view it.

During processing you may need to get in touch with a user who has sent a message. The fastest way to do it is using e-mail. The built-in message template system enables you to easily create standard messages as well as send letters without using an e-mail client (for more details, see "Message Templates"). When working with the list of user messages, you can filter, sort, create and change all messages which where sent to you. The system adds all changes you made to the existing message. You then have the ability to accumulate message changes and then view the history of message processing.


Tips on how to make up messages about errors (bugs)

Complete and clear error messages help developers solve problems. Inaccurate error descriptions make problem solving very difficult. Keep in mind creating error reports. The following advice will help you to create correct error reports.

  • Describe the problem as much as possible. Make sure that the given sequence of actions always reproduces the described error.

  • Include only one error description within one message. If you have discovered a few errors, describe them in several messages.

  • Please, include your e-mail address. Often developers need more details and they can’t resolve a problem unless they can get in touch with you.

  • Please look over your message before sending it out.


Using "Bug Tracking"

The main task of the Bug Tracking Subsystem is to provide effective team-work on joint projects during development and debugging of software. In the Bug Tracking subsystem the term "bug" means message about error as well as a question, a suggestion on improving service/software, or anything else. We put these messages together because they all require the same processing.


"Issues" entity

Using the Bug Tracking Subsystem you can control any number of issues that may arise at the development stage. A Issue is a logically united group of bugs which have been found in one or more projects. For example, you have several projects and two of them are independent projects dealing with the same product. When a problem arises first time you add it to issues repository and share it to other users. When problem arises next time there is no need to describe it again. Just use the existing issue entity.


Administration and security

Administrator sets security options for each issue entity independently. Creating a issue the Administrator assigns a responsible person (broker) who will analyze and distribute incoming bugs/messages among the project participants.


Bug messages

Immediately after a message enters the system, the notification will be sent to the broker by e-mail as well as to all issue subscribers. Similarly, a user, to whom the message has been redirected, will get it by e-mail. To avoid spam the system will not send a message to its author. The following are basic parameters of each bug:

  • Message type – a kind of message, e.g. "error", "question", "products request", etc. You can create your own message type.

  • User’s name – the name of the user who created the message.

  • User’s e-mail – the e-mail of the user who created the message.

  • Broker – the responsible person for the bug.

  • Subject – brief description of bug.

  • Status – a current status of the message, e.g. "open", "fixed", "closed", etc. You can create your own message status. Priority – any numeric value. You can use your own scale of priorities. The default priority is set to 3.

  • Program environment – the system automatically ascertains the program environment of a message (some mistakes can be caused by a certain browser type and so on), e.g. "Environment: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; NET CLR 1.0.2914)"

  • Message body – contains the message text and all subsequent notes of the person working with it.

  • Attached files – every message can have up to 3 attached files with a size of no more than 100K each. There you can enclose screenshots, message excerpts, etc., everything that can help developers to localize and eliminate the bug or respond to a message as soon as possible.

  • Date – the system automatically sets the date of massage creation.


Message processing

Processing of user’s message begins as soon as it enters the system. On entering, the message automatically assigned to a broker. The broker can assign a message to any project member, can add comments, and can change status and/or priority of messages. Thus, the message is sent from one broker to another until it is closed. The message then becomes inactive. However, the message is stored in the system and all users can view it.

During processing you may need to get in touch with a user who has sent a message. The fastest way to do it is using e-mail. The built-in message template system enables you to easily create standard messages as well as send letters without using an e-mail client (for more details, see "Message Templates"). When working with the list of user messages, you can filter, sort, create and change all messages which where sent to you. The system adds all changes you made to the existing message. You then have the ability to accumulate message changes and then view the history of message processing.


Tips on how to make up messages about errors (bugs)

Complete and clear error messages help developers solve problems. Inaccurate error messages make problem solving Very difficult. The following advice will help you to create better error reports.

  • Describe the problem as much as possible. Make sure that the given sequence of actions always reproduces described error.

  • Include only one error description within one message. If you have discovered a few errors, describe them in several messages.

  • Specify your e-mail address. Often developers need more details and they can’t resolve a problem unless they can get in touch with you.

  • Please look over your message before sending it out.


What do you need to add a new site

Simply open "Site Management: Site List" page using the corresponding upper menu item.

Use this page to manage sites. Information about sites is displayed in the table which contains one row per each site.

Follow these few steps carefully.

a. Press the "Add Site" button. The screen will look like this:

b. Input site name and URL of your site into the corresponding fields. The screen will look like this:

You may enter some description to the new site and select cache type. These fields are not mandatory.

c. If you are not satisfied with your input or if you have made some mistakes, you may press "Cancel" button and your input will be ignored.

d. If all the fields are correctly filled, press "Update" button and the new site will be added to the system.

The screen will look like this:

For further editing of your new site, select the corresponding link to your site (for example, click on the "Project 33" hyperlink in the "Site Name" field). Clicking on "URL" field will result opening of a real site.


What do you need to add new pages and build hierarchy of a new site

After clicking on the Site Name, your screen will look like this:

Previously input URL will be recognized by system as a home page. Now you may add all the other necessary pages.

Follow these steps carefully.

a. Press the "Add Page" button, and your screen will look like this:

b. Input "Name", "Description", "Page Title", "URL". Input "Header Text" and "Footer Text" in HTML format if necessary. Note that Page Name and URL are mandatory fields, all the others – not. The screen will look like this:

You can manage visibility of your page by selecting required value in the corresponding field. You may change hierarchy level of your page by selecting the corresponding Parent Page name. You can change page type making the corresponding selection. Use any fields or buttons in the Header Text and Footer Text sections to edit HTML code of your page header and footer correspondingly. All of the controls located on these toolbars may be used at WYSIWYG principle. You may insert your own HTML code as well.

Pressing the "Cancel" button will cancel your input. Pressing the "Site List" button will return you to Menu Editor screen.

c. Press "Save" button. Your input will be saved, and you will be returned to Menu Editor screen:

d. Now you may highlight any level of your hierarchy using the Site Structure Tree in the left part of a Menu Editor screen. If you need to add some page(s) inside newly added page, simply press the "Add Page" button. Your screen will look like this:

Follow the instructions of (b) – (c) steps. After pressing the "Save" button you will be returned to Menu Editor screen, which will look like this:

If you need to add some pages to the any hierarchy level, highlight the corresponding level in the Site Structure Tree and repeat steps (b) – (c) so many times as necessary. This feature works on any hierarchy level.

After a number of pages will be added, your screen will look like this:


What is required to manage branches and pages

Now you can manage branches of your Site Structure Tree using two buttons – "Up" and "Down". If you need some pages to be placed higher, highlight the required Page Name in the tree and press "Up" button. If you need some pages to be placed lower, highlight the required Page Name in the tree and press "Down" button. Note that one press of an "Up" or "Down" button moves your highlighted page one step higher or lower. You may expand/collapse some tree branches, which have pages inside them. You may edit highlighted pages using "Edit" button and even change their hierarchy position, selecting the corresponding "Parent Page" on the "Site Management: Menu Editor: Page Info Edit (Edit Page)" page (step (b) of "What do you need to add new pages and build hierarchy of a new site " paragraph).


What is required to delete some pages

To delete one or more pages, you have to select required page in your Site Structure Tree and press "Delete" button. If the selected page contains child pages, all of them will be deleted as well. Note, that this feature does not work with the root (Home) page. To delete the home page you may follow the instructions described below (What is required to delete the entire site) and delete the entire site.

After pressing "Delete" button your screen will look like this:

To confirm deletion of the selected page (-s) from the system, press OK button.


What is required to delete the entire site

If you need to delete the entire site, you have to press "Delete" button on the "Site Management: Site List" page.

Your screen will look like this:

To confirm deletion of the entire site from the system, press OK button.


Using "Message Templates"

The Message Template subsystem allows you:

  • To create an unlimited number of message templates;

  • To use macros in a message text, such as user’s name, address, etc.;

  • To create parameterized mailing lists

  • To perform fast creation of standard answers to customers’ inquiries.


Using "Mail System"

The Mail System subsystem allows you to create and dispatch electronic messages to system users. The subsystem allows to use macroses in the text of messages, such as, account name, user name, surname, address e.g. User can check the message before the sending and setup time when the message will be send.


Tables

Many of the system’s pages contain tables which are used for displaying lists of data. All these tables have the same features which you can use to sort, filter and view data.


Sorting and Filtering

You can sort data in the table by clicking the title of the column. You can also filter data by choosing filter data below the column name. Click on the filter icon to apply filtering.


Viewing of Table Data

The table can be separated by several parts. The number of the parts you can see below the table. You can view any part of the table by clicking the part number. Also you can set the number of rows shown at the same time in "Rows on page" field. After entering this value press APPLY button to make changes.


Entering the system

The system entrance is situated on the server where the system is deployed. In the case of the FOSS web server deployment the URL of is http://www.w3spt.com. In the case of private deployment the system entrance is your internet server configured page. The system entrance page is used to login to the system. Specify company account, user’s login and password to enter into WWW Support system.

Fields

Account

The name of WWW Support account.

Login

The user’s login name.

Password

The user’s login password.

Buttons

Login

Press this button after filling in all login fields in order to login into the system. The security subsystem will check your credentials. If authorization fails, you will see the error message.

Forgot password?

Follow this link in case you forgot your password. You’ll then see the "Forgot password" form. Fill the form and you will receive your password to the email address, registered with your WWW Support account.


Home page

The main page of the system is used for performing common tasks such as project selection and navigation through the system.


Fields and tables

"Projects" table

The "Projects" table shows you a list of all projects which are allowed for the current user. Clicking the "+" button in the right column will expand all objects allowed for current user. You can make a project active by clicking it or using "Projects" menu. The active project shows with bold font and "Current project" label in project list.


System menu

The system menu is part of the interface on every page in the system. It is used for navigation through the system and as an indication of main system parameters.


Navigation

All functionality of WWW Support system is available through the system menu. The system generates the menu structure dynamically depending on the user’s permissions. The following list displays the system menu structure and contains a brief description for each item.

Home

This menu item is used to return to the Main page of WWW Support system.

The item is allowed for all users.

Logout

Use this item to logout from WWW Support system.

The item is allowed for all users.

Settings

Settings menu contains the common functions.

The item is allowed for all users.

User Profile

The "User Profile" menu item opens the "User profile: [user]" page which is used to set/view user options. The item is allowed for all users.

Make Page as Default

Use this menu item to set current page as default page. Next time you enter the system default page will be shown just after system login page.

The item is allowed for all users.

SAdmin

Use this menu item to get access to the common administration tools such as users and projects administration, message templates, statistics, etc.

The item is allowed for users with roles System Administrator and Administrator.

User Groups

The "User Groups" menu item opens the "SAdmin: User Groups" page which is used to view/manage user groups.

User List

The "Users list" menu item opens the "SAdmin: User list" page which is used for viewing the user list.

Project List

The "Project List" menu item opens the "SAdmin: Project List" page which is used to view/manage projects list.

Mail Templates

The "Mail Templates" menu item opens the "SAdmin: Mail Templates: Template Configuration" page which is used for administration of mail templates.

The item is allowed for users with roles System Administrator and Administrator.

Account Status

The "Account Status" menu item opens the "SAdmin: Account Status: [account]" page which is used for viewing account statistics.

The item is allowed for users with roles System Administrator and Administrator.

Color Themes

The "Color Themes" menu item opens the "SAdmin: Color Themes: Color Themes List" page which is used for administration of interface color schemes.

The item is allowed for users with roles System Administrator and Administrator.

Database Export

The "Database export" menu item opens the "SAdmin: Database Export" page which is used for exporting data of the system objects.

The item is allowed for users with roles System Administrator and Administrator.

Database Import

The "Database Import" menu item opens the "SAdmin: Database Import" page which is used for importing data of the system objects.

The item is allowed for users with roles System Administrator and Administrator.

Banner System

The item has two subitems: "Banner List" and "Banner Settings".

Banner List

The "Banner List" menu item opens the "SAdmin: Banner System: Banner List" page which is used for viewing banner list.

Banner Settings

The "Banner Setting" menu item opens the "SAdmin: Banner System: Banner Slot Placement" page which is used to manage banner’s slot placement for specified page groups or pages.

Mail System

The "Mail System" menu item opens the "SAdmin: Mail System" page which is used for creating and dispatching electronic messages to system users.

Content manager

Use this menu item to get access to the articles administration tools. Item contains the "Categories" item and items for all Categories created in the system. The system has three default Categories: "Knowledge Base", "News", and "FAQ". These Categories cannot be deleted. Each Category menu item also has three subitems: "Themes List", "Search" and "Subscription".

The item is allowed for authorized users.

Categories

The "Categories" menu item opens the "Content Manager: Categories" page which is used to manage list of categories.

The item is allowed for users with roles System Administrator and Administrator.

"[Category name]" menu item

The item has three subitems: "Themes List", "Search" and "Subscription".

The item is allowed for authorized users.

Theme List

The "Theme List" menu item opens the "Content Manager: [category]: Theme List" page which is used to manage themes list of specified articles.

Search

The "Search" menu item opens the "Content Manager: [category]: Search" page which is used to find the articles.

Subscription

The "Subscription" menu item opens the "Content Manager: [category]: Subscription" page which is used to manage subscription.

Forum

Use this menu item to get access to the Forum subsystem administration tools.

The item is allowed for authorized users.

Forum List

The "Forum List" menu item opens the "Forum: Forum List" page which is used to manage forums. The item also contains sub items with the names of forums which are allowed for the current user. You can open the "Forum: Message List: [forum]" page by clicking the menu item of the same name.

Subscription

The "Subscription" menu item opens the "Forum: Subscription" page which is used to manage forum subscriptions.

Feedback

Use this menu item to get access to the Feedback subsystem administration tools.

The item is allowed for authorized users.

Zone List

The "Zone List" menu item opens the "Feedback: Zone list" page which is used to manage zones. The item also contains sub items the name of zones which are allowed to current user. You can open the "Feedback: Message List: [zone]" page by clicking the menu item of the same name.

Configuration

The "Configuration" menu item opens the "Feedback: Configuration" page which is used to manage message and message status types.

The item is allowed for System Administrator and Administrator.

Subscription

The "Subscription" menu item opens the "Feedback: Subscription" page which is used to manage subscriptions.

Statistics

The item contains links to statistics tools.

Activity Report

The "Activity Report" menu item opens the "Feedback: Activity Report" page which is used for viewing common activity statistics.

The item is allowed for the authorized user.

User Activity

The "User Activity" menu item opens the "Feedback: User Activity Report" page which is used for viewing activity statistics of specified user.

The item is allowed for the authorized user.

Bug Tracking

Use this menu item to get access to the Bug Tracking subsystem administration tools.

The item is allowed for authorized users.

Issue List

The "Zones" menu item opens the "Bug Tracking: Issue list" page which is used to manage problems. The item also contains sub items with the same name of problems which are allowed to current user. You can open the "Bug Tracking: Message List: [issue]" page by clicking the menu item of the same name.

Configuration

The "Configuration" menu item opens the "Bug Tracking: Configuration" page which is used to manage message and message status types.

The item is allowed for System Administrator and Administrator.

Subscription

The "Subscription" menu item opens the "Bug Tracking: Subscription" page which is used to manage subscriptions.

Statistics

Activity Report

The "Activity Report" menu item opens the "Bug Tracking: Activity Report" page which is used for viewing common activity statistics.

The item is allowed for the authorized user.

Users’ Activity

The "Users’ Activity" menu item opens the "Bug Tracking: Users' Activity Report" page which is used for viewing activity statistics of specified user.

The item is allowed for the authorized user.

Task manager

Use this menu item to get access to the Task Management administration tools.

The item is allowed for authorized users.

Task List

The "Task List" menu item opens the "Task Manager: Task list" page which is used to manage project tasks.

The item is allowed for the authorized user.

Permissions

The "Permissions" menu item opens the "Task Manager: Edit Permissions: Task Access Permissions" page which is used for administration of users’ permissions within tasks for the current project.

The item is allowed for the authorized user.

Statistics

The "Statistics" menu item opens the "Task Manager: Task statistics" page which is used for viewing of common task statistics.

Site Management

The "Site Management" menu contains one item – "Site Structure". This menu item opens the "Site Management: Site List" page, which provides an access to the list of sites stored in a system and allows further editing of site’s hierarchical structure and adding or editing of certain pages.

Projects List

The "Project List" menu contains links to the projects which are allowed for the current user. You can set the active project by clicking the corresponding menu item. Information about the selected project is shown on the right side of the main menu.


Indication of system parameters

Immediately after login, on the right side of the system menu, you will see an item which says "To start – select a project from menu". After selecting a project it becomes the active project, and is displayed here, along with the name of the current user.


"User Profile: [user]" page

Use this page for viewing or editing user’s options and information.

Buttons

User List

Opens the "SAdmin: User List" page.

General

Shows the common information about the user.

Address

Shows the address information of the user.

Resume

Shows the resume of the user.

Settings

Shows user’s options.

Edit/View mode

Toggles between view and edit mode.

Update Photo

Shows the page for changing user’s photo.

Update

Saves entered changes.

Change Password

Shows the page for changing user’s password.


"SAdmin: User Groups" page

This page shows the list of user groups. Information about user groups is shown in the table containing one row for each user group.

User Groups Table Columns

Name

Name of the user group.

Description

Description of the user group.

Edit

Use this link to edit name and description of the user group.

Delete

Use this link to remove a user group from the system.

Buttons

New Group

Use this button to create a user group in the system.

Print

Opens print version of the current page.


"SAdmin: User List" page

This page shows the list of system users. Information about users is shown in the table containing one row for each user.

User List Table Columns

Login

User’s login. This field is implemented as a hyperlink to the "User Profile: [user]" page.

Name

Name and surname of the user.

E-mail

User’s e-mail address - implemented as a hyperlink which will launch your mail application.

Projects

Number of projects which the user is a member - implemented as a hyperlink to the "SAdmin: User Roles: [user]" page".

User Group

Name of group which the user is a member - implemented as a hyperlink to the "SAdmin: Edit User Information: [user]" page".

Permissions

Link to the "SAdmin: Edit User Roles in Projects: [user]" page.

Delete User

Use this button to remove a user account from the system.

Fields

User Group

This field allows you to filter records in user list table by user’s group.

Filter by

This combo field allows filtering the users displayed in the user list table. Press "Apply" button after specifying filter to apply it. You will then see only users which contain the specified search string in the specified fields.

Buttons

Project List

Opens the "SAdmin: Project List" page.

New User

Opens the "SAdmin: Create New User" page.

User Groups

Opens the "SAdmin: User Groups" page.

Print

Opens print version of the current page.


"SAdmin: Create New User" page

Use this page to create user in system.

Fields

User Group

Group the user is member of.

Login

User’s login name.

Password

User’s password.

Confirm Password

User’s password. Second entry.

First Name

User’s first name.

Last Name

User’s surname.

E-mail

User’s e-mail.

Buttons

User List

Opens the "SAdmin: User List" page.

Project List

Opens the "SAdmin: Project List" page.

Reset

Clears all form fields.

Save

Creates the new user with specified properties.


"SAdmin: Edit User Information: [user]" page

Use this page to edit user information.

Fields

User Group

Group the user is member of.

Login

User’s login name.

Password

User’s password.

Confirm Password

User’s password. Second entry.

First Name

User’s first name.

Last Name

User’s surname.

E-mail

User’s e-mail.

Buttons

User List

Opens the "SAdmin: User List" page.

Project List

Opens the "SAdmin: Project List" page.

Reset

Clears all form fields.

Save

Creates the new user with specified properties.


"SAdmin: User Roles: [user]" page

Use this page to view user participation in projects. The user’s name is shown as the name of the page. Information about the user’s projects is shown in the "Project List" table which contains one row for each project.

Project List Table Columns

Project Name

Name of project the user is participates in.

Open Date

Date the project was created.

User Role

User’s role in project, which will determine permissions.

Delete User from Project

User this link to delete a user from the project.

Buttons

User List

Opens the "SAdmin: User List" page.

Project List

Opens the "SAdmin: Project List" page.

Permissions

Opens the "SAdmin: Edit User Roles in Projects: [user]" page for current user.

Print

Opens view only version of the current page.


"SAdmin: Edit User Roles in Projects: [user]" page

Use this page to manage the user’s permissions to projects. The user’s name is shown as the name of the page. Information about user’s permission to projects is shown in the "Project List" table containing one row for each project.

Project List Table Columns

Project Name

Name of project the user is a participant in.

User Role

User’s role in project, which will determine permissions.

Buttons

User List

Opens the "SAdmin: User List" page.

Project List

Opens the "SAdmin: Project List" page.

Print

Opens the view only version of the current page.

Save

Saves all changes.


"SAdmin: Project List" page

Use this page to view/change system projects list. Information about projects is shown in the "Project List" table containing one row for each project.

Project List Table Columns

Project Name

Name of project the user is participator of.

Open Date

Project creation date.

Number of Users

Number of project participants - implemented as a hyperlink to the "SAdmin: Project Users: [project]" page.

Add User

Column "Add User" contains the "Add User" button. Use this button to add users to the project.

Change Name

Column "Change Name" contains the "Change" button. Use this button to rename project.

Delete Project

Column "Delete" contains the "Delete" button. Use this button to remove project from the system.

Buttons

New Project

Use this button to add a new project to the system. After pressing the button enter the name of the new project in the window.

Print

Opens view only version of the current page.


"SAdmin: Project Users: [project]" page

Use this page to view/change a user’s participation in a project. The project name is shown as the name of the page.

User List Table Columns

Login

User’s login name.

Name

Name and surname of the user.

User Role

User’s role in project, which will determine permissions.

E-mail

User’s e-mail address - implemented as a hyperlink which will launch your mail application.

Projects

Number of users of project - implemented as a hyperlink to the "SAdmin: User Roles: [user]" page.

Permissions

Implemented as "Edit" button. Pressing this button you can go to the "SAdmin: Edit User Roles in Projects: [user]" page.

Delete from Project

Link which can be used to remove a user account from the project.

Buttons

Projects List

Opens the "SAdmin: Project List" page.

New User

Opens the "SAdmin: Create New User" page.

Add User

Opens the "SAdmin: Adding User to Project: [project]" page

Print

Opens the view only version of the current page.


"SAdmin: Adding User to Project: [project]"

Use this page to add users in project. The project name is shown as the name of the page.

User List Table Columns

Login

User’s login name.

User Name

Name and surname of the user.

User Role

Role the user is member of.

Fields

User Group

This combo box allows you to filter records in Users List Table by user’s group. After choosing group press "Apply" button to apply filter.

Buttons

Project List

Opens the "SAdmin: Project List" page.

Print

Opens print version of the current page.

Save

Saves all changes.


"SAdmin: Mail Templates: Template Configuration" page

Use this page to view and manage mail templates.

Fields

Available Templates

This is the list of mail templates which are already available in the system. Choose required template to fill fields. You can then edit template properties.

Template Name

Name of the selected template.

Subject

Subject of the mail template.

Note

Brief description of the template’s use.

Body

Text of the mail template.

Sender name

Name of letter sender.

Sender e-mail

E-mail of letter sender.

Buttons

Create New

Creates new template. To create template enter name of the new template in the window.

Print

Opens view only version of the current page.

Reset

Reset all values.


"SAdmin: Account Status: [account]" page

Use this page to view various statistics about a company’s account. The account name is shown as the name of the page. On the page is information about objects, subscription, and subscription history.

Buttons

Print

Opens print version of the current page.


"SAdmin: Color Themes: Color Themes List" page

Use this page to manage system appearance. Information about color themes is shown in the table containing one theme per row.

Themes table columns

Theme name

Name of the color theme.

Edit

Clicking this link will bring you to the "SAdmin: Color Themes: Color Theme Configuration" page.

Delete

Use the delete button to remove the color theme from the system.

Buttons

Create New

Used to create a new color theme.

Print

Opens print version of the current page.


"SAdmin: Color Themes: Color Theme Configuration" page

Using this page you can edit properties of a color theme.

Fields

Color Theme Name

Name of the new or edited color theme.

Color Theme is Based on

Name of theme which new theme is based.

Color Theme Definition

The set of fields which determine the theme.

Buttons

Theme List

Shows the "SAdmin: Color Themes: Color Themes List" page.

Reset

Clears all form fields.

Print

Opens view only version of the current page.


"SAdmin: Database Export" page

Use this page to export data from the system. To export data, first choose system object in the table from which you want export data, then press the "Export" button and download the export file with data to your location.


"SAdmin: Database Import" page

Use this page to import data to the system. To import data, choose previously created file with exported data and then press the "Upload" button. Information from the file will be imported to the system database.


"SAdmin: Banner System: Banners List" page

Use this page to manage banners list. The page displays information about available banners in the table which contains one row for each banner.

Table Columns

ID

ID of the banner. Text of column implemented as hyperlink to the "SAdmin: Banner System: Banner Information" page which displays corresponding banner information.

Banner Name

Name of the banner.

URL

URL of the banner.

Impressions

How many times the banner will be displayed to visitors.

User Views

How many times the banner has been viewed.

Freq

Frequency of display of the banner related to other banners in same banner slot and on same page.

Created

Banner creation date.

Updated

Banner information update date.

Delete

The column contains the "Delete" button. By pressing this button you can delete a banner from the system.

Buttons

Create New

Opens the "SAdmin: Banner System: Banner Information" page where you can create a new banner.

Print

Opens print version of the current page.


"SAdmin: Banner System: Banner Information" page

Use this page to create/view the banner.

Fields

Banner Name

Name of the banner.

Select banner file

Select banner file for uploading to the system.

URL

URL of the banner.

Impressions

How many times the banner will be displayed to visitors.

User Views

How many times the banner has been viewed..

Frequency

Frequency of display of the banner related to other banners in same banner slot and on same page.

Created

Banner creation date.

Updated

Banner information update date.

Buttons

Banners List

Opens the "SAdmin: Banner System: Banners List" page.

Print

Opens print version of the page.

Save

Save banner information.


"SAdmin: Banner System: Banner Slot Placement" page

Use this page to manage banner’s slot placement for specified page groups or pages.

Fields

Page Groups

Page groups list.

Pages

Pages in group.

Default Banner

Banner name for chosen page group.

Buttons

Save

Save banner slot settings.


"SAdmin: Mail System: Mail List" page

This page provide possibility create and send email messages to the account users.

Table columns

Subject

Subject of the message. implemented as a hyperlink to the "SAdmin: Mail System: Edit E-Mail" page.

Description

The additional description (it is not included to sent message).

Created On

Message creation date

Ready to Send

Shows that the message is ready

Sent

Shows that the message has been sent

Delete

Used to delete the message

Buttons

Create New

Creates new message

Print

Opens print version of the message


"SAdmin: Mail System: Compose New E-Mail" page

Used to create new Email.

Required fields: "Subject", "Mail Body", "From Name" and "From E-Mail"
Fields "Subject" and "Mail Body" can contain following macros:

  • %FIRMNAME% - the name of an account from which occurs dispatch of the letter;

  • %USERFNAME% - a name of the addressee;

  • %USERLNAME% - a surname of the addressee.

Fields

Subject

Subject of the message.

Description

Brief description of the message (not included to sent message).

Mail Body

Body of the message in HTML format

From Name

Sender name

From E-Mail

Sender E-Mail address

Ready to Send

Shows that the message is ready to send.

Send At

Shows when the letter should be sent. Valid values: "Send now" - the message will be sent immediately, "Scheduled" - date when the message will be sent

Recipients

Shows number of recipients. "Select Recipients" link allows review and modify the list. This link opens "SAdmin: Mail System: Mail Recipients" page.

Buttons

Mail List

Opens the "SAdmin: Mail System: Mail List" page.

Print

Opens print version of the message

Reset

Clears form

Preview

Previews the message in a new window.

Test Mail

The message will be send to the user.

Save

Saves the message.


"SAdmin: Mail System: Edit E-Mail" page

The page used to edit the message information. All fields same with "SAdmin: Mail System: Compose New E-Mail" page.


"SAdmin: Mail System: Mail Recipients" page

The page used to select recipients from users list. Press "Save" button when the recipients list will be ready.


"Content Manager: Categories" page

Use this page to manage article types in the Content Manger subsystem. Information about categories is shown in the table containing one theme per row. You can change or delete any article categories except predefined types such as "Knowledge Base", "News", and "FAQ".


"Content Manager: [category]: Theme List" page

Use this page to manage theme list of the category.

Table columns

Theme Name

Name of the article theme. This field is implemented as a hyperlink to the "Content Manager: [category]: [theme]: Article List" page.

Language

Language of the theme articles

Description

Brief description of the theme

Open Date

Theme creation date

Edit Info

This column contains the "Edit" button. Press this button to edit information about the corresponding theme.

Check Up

This column contains the "Check Up" button. Press this button to test the appearance of the theme. After pressing this button you can see the list theme articles.

Permissions

This column contains the "Edit" button. Press this button to change a user’s permissions to the theme.

Delete

Deletes the theme

Buttons

Create New

Creates a new theme

Print

Opens ready to print version of the current page.


"Content Manager: [category]: Create New Theme" page

Use this page to create the theme information.

Fields

Theme name

The name of a theme.

Language

Language on which publications are mainly written.

Category

The list of categories from which you can choose necessary.

Description

The brief description of a theme.

Template for e-mail notification

The list of templates from which you can choose necessary.

Buttons

Theme List

Opens the "Content Manager: [category]: Theme List" page.

Reset

Clear fields of the form of the entered information.

Save

Create a new theme.


"Content Manager: [category]: Edit Theme Information: [theme]" page

Use this page to edit the theme information.

Fields

Theme name

Name of the theme.

Language

Theme language.

Category

Theme category.

Description

The brief description of a theme.

Template for e-mail notification

The list of templates for user notification about new articles in the theme. Select one for the theme.

Buttons

Theme List

Opens the "Content Manager: [category]: Theme List" page.

Delete

Delete theme.

Reset

Clear fields of the form of the entered information.

Save

Save information.


"Content Manager: [category]: Edit Permissions: [theme]" page

Use this page to change user rights for the theme.

Fields

Select project

Projects list.

Table columns

User Role

User roles list.

Permissions

The list of user rights for the theme.

Buttons

Themes List

Opens the "Content Manager: [category]: Theme List" page

Print

Opens print version of the current page.

Reset

Clears all form fields.

Save

Save permissions set.


"Content Manager: [category]: Articles List: [theme]" page

Use this page to view the list of theme articles. The theme name is shown as the name of the page. This page contains a table with a list of theme articles. Each row contains a hyperlink to the corresponding "Content Manager: [category]: [theme]: Article Detail" page which shows content of the article.

Fields

"Articles posted last _ _ days"

Period in days. During this period an article is considered new. New article is highlighted in the articles list.

Buttons

Themes List

Opens the "Content Manager: [category]: Theme List" page.

Search

Opens the "Content Manager: [category]: Search" page to search for an article.

Post New

Opens the Content Manager: [category]: [theme]: Create New Article" page.

Refresh

Refresh the page.

Print

Opens "print ready" version of the current page.


"Content Manager: [category]: [theme]: Create New Article" page

Use this page to create a new article in a theme.

Fields

Your Name

An author name

Title

The article title Article title can contain up to 1000 symbols.

Summary

Summary of the article. Article summary can contain up to 1000 symbols.

Keywords

Keywords of the article. Keywords field can contain up to 1000 symbols. A keywords field contains words which are used during article search. The keywords are separated by space.

Last Reviewed / Published date

Last Reviewed / Published date.

Published

This field can contain the following values: "Published", "Publish at the published date" and "Not Published".

Message text

Text of article.

Files attachment

Attached files – every article can have up to 3 attachments with size no more than 500K each.

Buttons

Article List

Opens the "Content Manager: [category]: Articles List: [theme]" page.

Reset

Clears all form fields.

Save

Saves a new article.


"Content Manager: [category]: [theme]: Edit Article" page

Use this page to edit the article.

Fields

Your Name

An author name

Title

The article title. Article title can contain up to 1000 symbols.

Summary

Summary of the article. Article summary can contain up to 1000 symbols.

Keywords

Keywords of the article. Keywords field can contain up to 1000 symbols. A keywords field contains words which are used during article search. The keywords are separated by space.

Last Reviewed / Published date

Last Reviewed / Published date.

Published

This field can contain the following values: "Published", "Publish at the published date" and "Not Published".

Message text

Text of article.

Files attachment

Attached files – every article can have up to 3 attachments with size no more than 500K each.

Buttons

Article List

Opens the "Content Manager: [category]: Articles List: [theme]" page.

Reset

Clears all form fields.

Save

Saves a new article.


"Content Manager: [category]: [theme]: Article detail" page

Use this page to view the contents of an article. Information about the article is placed in the table.

Buttons

Check Up

Pressing this button you can test the appearance of the article. After pressing this button you can see the article in the new window.

Move

Pressing this button you can move/copy the article to other theme. After pressing this button you can see new window "Article moving/coping".

Direct mail

Pressing this button you can send the article using direct mail.

Article List

Opens the "Content Manager: [category]: Articles List: [theme]" page.

Edit Article

Opens the "Content Manager: [category]: [theme]: Edit Article" page.

Delete

Deletes displayed article.

Print

Opens view only version of the current page.


"Content Manager: [category]: Search" page

Use this page to search articles. Fill required fields and press the "Search" button. The results are displayed under the search form in the table. Each row of the table contains a hyperlink to the article.

Fields

Keywords

Keywords separated by spaces. Keywords are used for article search.

Theme

Theme of the sought article.

Language

Language of the sought article.

Buttons

Search

Starts the article search.

Print

Opens a view only version of the current page.


"Content Manager: [category]: Subscription" page

Use this page to manage subscription to the articles in the specified article type. Information about subscription is displayed in the table which contains one row for each theme.

Theme subscription table columns

Theme name

Name of the theme.

Language

Language of the theme.

Description

Brief description of the theme.

OpenOn

Theme creation date.

Current Status

This combo box contains the list of all subscription modes. Use this combo to mange subscription to the theme.

Buttons

Save

Saves changes.

Print

Opens the view only version of the current page.


"Forum: Forum List" page

Use this page to view or manage forums. Information about forums is displayed in the table which contains one row for each conference.

Forum List Table Columns

Forum Name

Name of the forum – implemented as hyperlink to the "Forum: Message List: [forum]" page which displays information about corresponding forum.

Language

Language of the forum.

Description

Brief information about the forum.

Open Date

Forum creation date.

Edit Info

Column contains the "Edit" button. Pressing the "Edit" button will open the "Forum: Edit Forum Information: [forum]" page displaying information about the corresponding forum.

Check Up

The column contains the "Check Up" button which allows testing forum appearance in a new window containing list of the forum messages.

Permissions

The column contains the "Edit" button which allows managing users’ permissions to the corresponding forum. Pressing this button you open the "Forum: Edit Permissions: [forum]" page .

Delete

Deletes corresponding forum.

Buttons

Create New

Opens the "Forum: Create New Forum" page which allows creation of new forum.

Print

Opens the print version of the current page.


"Forum: Create New Forum" page

Use this page to create the new forum.

Fields

Name

Forum name.

Language

Language of the forum.

Description

Brief description of the forum.

Template for e-mail notification

Template for forum subscription message.

Buttons

Forum List

Shows the "Forum: Forum List" page.

Reset

Clears all form fields.

Save

Creates a new forum.


"Forum: Edit Forum Information: [forum]" page

Use this page to edit forum properties. The forum name is shown in the page title.

Fields

Name

Forum name.

Language

Language of the forum.

Description

Brief description of the forum.

Template for e-mail notification

Template for forum subscription message.

Buttons

Forum List

Shows the "Forum: Forum List" page.

Delete forum

Deletes the forum.

Reset

Clears all form fields.

Save

Saves forum properties.


"Forum: Edit Permissions: [forum]" page

Use this page to manage users’ permissions to the forum. The name of the selected forum is shown in the page title. Information about users’ permissions is displayed in the table which contains one row for each user’s role.

Table Columns

User Role

Name of the user’s role.

Permissions

The list of group permissions.

Fields

Select project

Combo which contains the list of projects. Choose the project to which you want to assign permissions.

Buttons

Forum List

Opens the "Forum: Forum List" page.

Print

Opens print version of the current page.

Reset

Clears all form fields.

Save

Saves forum properties.


"Forum: Message List: [forum]" page

Use this page to view messages tree and particular messages of a forum. The name of the forum is shown in the page title. The page is divided into parts. The top part displays the messages tree. The bottom part displays the particular message which is selected in the message tree.

Message tree table columns

Message subject

Subject of forum message.

User name

Name of the message creator.

IP address

IP address of the creator’s computer.

Date and time

Date and time of message creation.

Fields

Search string in the message body

This field allows filtering the messages displayed in the message list table. Press "Search" button after specifying filter to apply it. You will then see only messages which contain the specified search string.

Buttons

Forum List

Opens the "Forum: Forum List" page.

Post New

Opens the "Forum: [forum]: Create New Message" page with purpose of creation of new message.

Refresh

Refresh page.

Print

Opens print version of the current page


"Forum: [forum]: Create New Message" page

Use this page to create new message. If this page is used to reply to a message the original is shown at the bottom of the page.

Fields

Your Name

This field contains your name by default.

E-mail address

This field contains your e-mail address by default.

Notify me

If you check this checkbox you will receive the reply messages in your e-mail.

Subject

Subject of the message.

Message Text

Text of your message.

Buttons

Save

Saves new message properties.

Message List

Opens the "Forum: Message List: [forum]" page.

Reset

Clears all form fields.


"Forum: Subscription" page

Use this page to manage your subscription to the forums. Information about subscription is displayed in the table which contains one row for each forum.

Table Columns

Forum Name

Name of the forum.

Language

Forum language.

Description

Brief description of the forum.

OpenOn

Forum creation date.

Current Status

Combo box contains the list of available subscription types. Choose the subscription type you need.

Buttons

Forum List

Shows the "Forum: Forum List" page.

Save

Saves subscription settings.

Print

Opens print version of the current page.


"Feedback: Zone List" page

Use this page to manage feedback zones. The page displays information about available feedback zones in the table which contains one row for each zone.

Table Columns

Zone Name

Name of the zone.

Description

Brief description of the zone.

Open Date

Zone creation date.

Edit Info

This column contains the "Edit" button - which will open the "Feedback: Edit Zone Information: [zone]" page.

Check Up

The column contains the "Check Up" button. Pressing this button opens the "Feedback: Message List: [zone]" page where you can test a zone appearance.

Permissions

The column contains the "Edit" button. Pressing this button opens the "Feedback: Edit Permissions: [zone]" page where you can configure users’ permissions.

Delete

The column contains the "Delete" button. Pressing this button you delete corresponding feedback zone.

Buttons

Create New

Opens the "Feedback: Create New Zone" page to create a new zone.

Print

Opens print version of the current page.


"Feedback: Create New Zone" page

Use this page to create new feedback zone.

Fields

Name

Name of new zone.

Broker E-mail

E-mail of zone responsible person.

Notify me

When checked, the zone’s responsible person will receive notifications about new zone message.

Language

Language of the zone.

Description

Brief description of zone purpose.

Zone user notification template

Mail template used for notification to users about new message in zone.

Assigned user notification template

Mail template used for notification to users about new message assigned to him in zone.

Buttons

Zone List

Opens the "Feedback: Zone List" page.

Reset

Clears all form fields.

Save

Creates new zone.


"Feedback: Edit Zone Information: [zone]" page

Use this page to manage zone properties. Name of the zone is displayed in the title of the page.

Fields

Name

Name of zone.

Broker E-mail

E-mail of zone responsible person.

Notify me

If checkbox is checked zone responsible person will receive notifications of new zone messages.

Language

Language of the zone.

Description

Brief description of zone’s purpose.

Zone user notification template

Mail template used for notification to users about new message in zone.

Assigned user notification template

Mail template used for notification to users about new message assigned to him in zone.

Buttons

Zone List

Opens the "Feedback: Zone List" page.

Delete zone

Deletes the zone.

Reset

Clears all form fields.

Save

Saves zone properties.


"Feedback: Edit Permissions: [zone]" page

Use this page to manage users’ permissions to the certain zone. The name of selected zone is shown in the page title. Information about users’ permissions is displayed in the table which contains one row for each user’s role.

Table Columns

User Role

Name of the user role.

Permissions

The list of role’s permissions.

Fields

Select project

Combo which contains the list of projects. Choose the project for which you want to assign permissions.

Buttons

Zone List

Opens the "Feedback: Zone List" page.

Print

Opens print version of the current page.

Reset

Clears all form fields.

Save

Saves permissions information.


"Feedback: Message List: [zone]" page

Use this page to view zone feedback messages. The name of selected zone is shown in the page title. Information about zone messages is displayed in the table which contains one row for each message.

Table columns

ID

Number of messages. Text of column implemented as hyperlink to the "Feedback: [zone]: Message details" page which displays corresponding message.

Priority

Value of message priority.

Status

Status of the message.

Assigned To

Name of the zone responsible user.

Issue Type

Issue type of feedback message.

Opened By

Name of the user who has created the message.

Subject

Subject of the feedback message.

Date

Creation date of the message.

Selection column

The column contains the checkboxes for selection of messages. Selection can be used later, for example, for printing selected messages.

Fields

Search string in the message body

This field allows filtering the messages displayed in the message list table. Press "Search" button after specifying filter to apply it. You will then see only messages which contain the specified search string.

Timeout in minutes for screen refresh

Use this field for specifying automatic refresh period of the page in minutes. Press "Save" button to apply changes.

Buttons

Zone List

Opens the "Feedback: Zone List" page.

Create New

Opens the "Feedback: [zone]: Create New Message" page for creation of new message.

Print

Opens print version of the current page.

Select All

Selects all messages in the messages list table.

Unselect All

Unselects all messages in the messages list table.

Print selected

Opens page for printing of the selected messages.


"Feedback: [zone]: Create New Message" page

Use this page to create new feedback zone message.

Fields

Issue type

Type of new feedback message, for example: "suggestion", "question", "code defect", etc. You can enter only predefined message types. For managing of message types list use the "Feedback: Configuration" page.

Your Name

This field contains your name by default.

E-mail address

This field contains your e-mail address by default.

Message priority

Value of message priority.

Assign to

Name of the message responsible user.

Subject

Subject of the feedback message.

Message text

Message text.

Files attachment

You can attach any 3 files which are not more than 500K each.

Buttons

Save

Creates new message.

Reset

Clears all form fields.


"Feedback: [zone]: Message details" page

Use this page to view feedback message properties.

Fields

ID

Message number.

Subject

Message subject.

Open By

Name of the person who created the message.

IssueType

Message type.

E-mail

E-mail of the person who created the message.

Environment

Technical information about the user’s browser.

Attachments

Information about the attachments in the message.

Status

Message status.

Priority

Message priority.

Assign to

Name of the message responsible person.

Text

Message text.

Buttons

Previous

Shows the previous message.

Next

Shows the next message.

Move

Use this button to move the message to any zone of the "Feedback" subsystem or the "Bug Tracking" subsystem.

Message list

Opens the "Feedback: Message List: [zone]" page.

Print

Opens print version of the current page.

Save

Saves changes in the message properties.

Direct mail

Using this button to send an e-mail to the message creator. Pressing this button will bring you to the "Feedback: [zone]: Direct mail" page where you can choose a mail template, edit, and then send the e-mail.


"Feedback: [zone]: Direct Mail" page

Use this page to create and to send letters to the feedback message creator.

Fields

Letter type

Type of letter. You can enter only predefined letter types. For managing of letter types list use the "SAdmin: Mail Templates: Template Configuration" page.

Subject

Subject of the letter.

Letter text

Letter text.

Buttons

Close

Closes window.

Print

Opens print version of the current page.

Send

Sends letter.


"Feedback: Configuration" page

Use this page to manage lists of statuses and issue types.

Buttons

Create new

Creates status or issue type.

Delete

Deletes status or issue type.


"Feedback: Subscription" page

Use this page to manage your subscription to the zone events. Information about subscription is displayed in the table which contains one row for each available zone.

Table Columns

Zone Name

Name of the zone.

Description

Brief description of the zone.

OpenOn

Zone creation date.

Current Status

Combo box containing the list of available subscription type. Choose the subscription type you need.

Buttons

Save

Saves subscription settings.

Print

Opens print version of the current page.


"Feedback: Activity Report" page

Use this page to view statistics about user activity in the "Feedback" subsystem.

Fields

Since

Begin date of the activity report.

To

End date of the activity report.

Feedback Zone

Feedback zone of activity report.

Pie Color Scheme

Color scheme of activity chart.

Buttons

Apply

Shows the zone activity chart corresponding to entered parameters.


"Feedback: User Activity Report" page

Use this page to view statistics about user activity in the "Feedback" subsystem.

Fields

Since

Begin date of the users’ activity report.

To

End date of the users’ activity report.

Feedback Zone

Feedback zone of users’ activity report.

Pie Color Scheme

Color scheme of users’ activity chart.

Detail Info for User

Choose which user the activity report will be showed for.

Buttons

Apply

Shows the user activity chart corresponding to entered parameters.


"Bug Tracking: Issue List" page

Use this page to manage bug tracking issues. The page displays information about available issues in the table which contains one row for each issue.

Table Columns

Issue Name

Name of the issue.

Description

Brief description of the issue.

Open Date

Issue creation date.

Edit Info

The column contains the "Edit" button. Pressing this button you open the "Bug Tracking: Edit Issue Information: [issue]" page.

Check Up

The column contains the "Check Up" button. Pressing this button you open the "Bug Tracking: Message List: [issue]" page where you can test an issue appearance.

Permissions

The column contains the "Edit" button. Pressing this button you open the "Bug Tracking: Edit Permissions: [issue]" page where you can configure users’ permissions.

Delete

The column contains the "Delete" button. Pressing this button you can delete corresponding issue.

Buttons

Create New

Opens the "Bug Tracking: Create New Issue" page for the purpose of creating new issue.

Print

Opens print version of the current page.


"Bug Tracking: Create New Issue" page

Use this page to create new issue.

Fields

Issue Name

Name of new issue.

Broker E-mail

E-mail of issue responsible person.

Notify me

If checkbox is checked, issue responsible person will receive the notifications about new issue messages.

Language

Language of issue.

Description

Brief description of issue.

Default task

Default task for issue.

Issue user notification template

Mail template used for notification to users about new message in issue.

Assigned user notification template

Mail template used for notification to users about new message assigned to him in issue.

Buttons

Issue List

Opens the "Bug Tracking: Issue List" page.

Reset

Clears all form fields.

Save

Creates a new issue.


"Bug Tracking: Edit Issue Information: [issue]" page

Use this page to update issue information.

Fields

Issue Name

Name of the issue.

Broker E-mail

E-mail of issue responsible person.

Notify me

If checked, issue responsible person will receive the notifications about new issue messages.

Language

Language of issue.

Description

Brief description of issue.

Default task

Default task for issue.

Issue user notification template

Mail template used for notification to users about new message in issue.

Assigned user notification template

Mail template used for notification to users about new message assigned to him in issue.

Buttons

Issue List

Opens the "Bug Tracking: Issue List" page.

Delete Issue

Deletes issue.

Reset

Clears all form fields.

Save

Updates issue information.


"Bug Tracking: Edit Permissions: [issue]" page

Use this page to manage user permissions to the certain issues. The name of selected issue is shown in the page title. Information about users’ permissions is displayed in the table which contains one row for each user’s role.

Table Columns

User Role

The name of the user role.

Permissions

The list of user role permissions.

Fields

Select project

Combo which contains a list of projects. Choose the project to which you want to assign permissions.

Buttons

Issue List

Opens the "Bug Tracking: Issue List" page.

Print

Opens print version of the current page.

Reset

Clears all form fields.

Save

Saves permissions information.


"Bug Tracking: Message List: [issue]" page

Use this page to view the issue message list. The name of the selected issue is shown as the page title. Information about issue messages is displayed in the table which contains one row for each message.

Table columns

ID

Number of message. Text of column implemented as hyperlink to the "Bug Tracking: [issue]: Message Details" page which displays corresponding message.

Priority

Value of message priority.

Status

Status of the message.

Assigned To

Name of the issue responsible user.

Issue type

Type of issue message.

Opened By

Name of the user who has created the message.

Subject

Subject of the issue message.

Date

Creation date of the message.

Selection column

The column contains the checkboxes for selection of messages. Selection can be used later, for example, for printing selected messages.

Fields

Search string in the message body

This field allows filtering the messages displayed in the message list table. Press "Search" button after specifying filter to apply it. You will then see only messages which contain the specified search string.

Timeout in minutes for screen refresh

Use this field for specifying the automatic refresh period of the page in minutes. Press "Save" button to apply changes.

Buttons

Issue List

Shows the "Bug Tracking: Issue List" page.

Create New

Opens the "Bug Tracking: [issue]: Create New Message" page for creation of new messages.

Print

Opens print version of the current page.

Select all

Selects all messages in the messages list table.

Unselect all

Unselects all messages in the messages list table.

Print selected

Opens page for printing of the selected messages.


"Bug Tracking: [issue]: Create New Message" page

Use this page to create new messages about problems.

Fields

Issue Type

Type of new issue message, for example: "suggestion", "question", "code defect", etc. You can enter only predefined issue types. For managing of issue types list use the "Bug Tracking: Configuration" page.

Your Name

This field contains your name by default.

E-mail address

This field contains your e-mail address by default.

Message priority

Value of message priority.

Assign To

Name of the message responsible user.

Task for bug

Name of the task for bug.

Estimated hours

Estimated hours for task.

Subject

Subject of the issue message.

Message Text

Message text.

Files attachment

You can attach any 3 files which are not more than 500K each.

Buttons

Message List

Shows the "Bug Tracking: Message List: [issue]" page

Reset

Clears all form fields.

Save

Creates new issue message.


"Bug Tracking: [issue]: Message Details" page

Use this page to view issue message properties.

Fields

ID

Message number.

Subject

Message subject.

Open By

Name of the person who created the message.

Issue Type

Issue type.

E-mail

E-mail of the person who created the message.

Environment

Technical information about user’s browser.

Attachments

Information about attachments in the message.

Status

Message status.

Priority

Message priority.

Assign To

Name of the message responsible person.

Task for Bug

Name task for bug.

Estimated hours

Estimated hours for task.

Estimated

The check box which sets "estimated" property of the task.

Add Time

Add time for task.

Text

Message text.

Buttons

Previous

Shows the previous message.

Next

Shows the next message.

Move

Use this button to move the message to any zone of the "Feedback" subsystem or to the "Bug Tracking" subsystem.

Message List

Opens the "Bug Tracking: Message List: [issue]" page.

Print

Opens print version of the current page.

Save

Saves changes in the message properties.

Direct mail

Using this button you can send an e-mail to the message creator. After pressing the button you will see the "Bug Tracking: [issue]: Direct Mail" page where you can choose mail template, edit and send e-mail.


"Bug Tracking: [issue]: Direct Mail" page

Use this page to create and to send letters to the bug tracking message creator.

Fields

Letter type

Type of letter. You can enter only predefined letter types. For managing of letter types list use the "SAdmin: Mail Templates: Template Configuration" page.

Subject

Subject of the letter.

Letter text

Letter text.

Buttons

Close

Closes window.

Print

Opens print version of the current page.

Send

Sends letter.


"Bug Tracking: Configuration" page

Use this page to manage lists of statuses and issues types.

Buttons

Create

Creates status or issue type.

Delete

Deletes status or issue type.


"Bug Tracking: Subscription" page

Use this page to manage your subscription to the issue events. Information about subscriptions are displayed in the table which contains one row for each available issue.

Table Columns

Issue Name

Name of the Issue.

Description

Brief description of the issue.

OpenOn

Issue creation date.

Current Status

Combo box containing the list of available subscription types. Choose the subscription type you need.

Buttons

Save

Saves subscription settings.

Print

Opens print version of the current page.


"Bug Tracking: Activity Report" page

Use this page to view statistics about user activity in the "Bug Tracking" subsystem.

Fields

Since

Begin date of the activity report.

To

End date of the activity report.

Issue

Issue of activity report.

Pie Color Scheme

Color scheme of activity chart.

Buttons

Apply

Shows the issue activity chart corresponding to entered parameters.


"Bug Tracking: User Activity Report" page

Use this page to view statistics about user activity in the "Bug Tracking" subsystem.

Fields

Since

Begin date of the user activity report.

To

End date of the user activity report.

Issue

Issue of user activity report.

Pie Color Scheme

Color scheme of users’ activity chart.

Detail Info for User

Choose user the activity report will be showed for.

Buttons

Apply

Shows the user activity chart corresponding entered parameters.


"Task Manager: Task List" page

Use this page to manage project tasks. Information about tasks is displayed in the table which contains one row for each task.

Table Columns

Task Name

Name of the task - field value is implemented as hyperlink to the "Task Manager: Task Information: [task]" page which displays information about corresponding task.

Priority

Priority of the task.

Start Date

Specifies a start date of the task.

End Date

Specifies a due date of the task.

Duration

Duration of the task.

Estimated

The check box which sets "estimated" property of the task.

Percent Complete

The percentage of task completion.

Task Info

Column contains the "Edit" button. Use this button to open the "Task Manager: Edit Task Information: [task]" page where you can change properties of the corresponding task.

Delete Task

Column contains the "Delete" button. Use this button to delete corresponding task.

Buttons

New Task

Button opens the "Task Manager: Create New Task" page.

Print

Opens print version of the current page.

Start Date

Button sets the start date of the tasks which are shown in the tasks list table.

End Date

Button sets the end date of the tasks which are shown in the tasks list table.


"Task Manager: Task Information: [task]" page

Use this page to view/edit task information.

Fields

Show time by user

Choose user the report will be showed for.

Add time to user

Choose user the time will be added for.

Select Date

Start date.

Hours to add (1-24)

Number of hours will be added.

Buttons

Add

Adds times for corresponding user.


"Task Manager: Create New Task" page

Use this page to create a task. With this page you can specify all options required to create a task.

Fields

Task Name

The name of the new task to create.

Percent complete (0-100)

The percentage of task completion.

Estimated

The check box which sets "estimated" property of the task.

Show in charts/statistics

Check to enable use of the task in Charts and Statistics.

Priority (0-1000)

Indicates a priority of the new task.

Start Date

Specifies a start date of the new task. Press the calendar icon to change the date.

End Date

Specifies a due date of the new task. Press the calendar icon to change the date.

Predecessor Task

Use the drop-down list to select a task which you want your new task to be part of.

Comment

Specify brief info about the task. It is an optional field for such things as: make the reason for the task clearer, describe the task fully, etc

Buttons

Tasks list

Shows the "Task Manager: Task List" page.

Reset

Use this button to clear all the fields of the page.

Save

Creates a new task with specified parameters.

Cancel

Closes the current page without creation of the new task.


"Task Manager: Edit Task Information: [task]" page

Use this page to view/edit task information.

Fields

Task Name

The name of the new task to create.

Percent complete (0-100)

The percentage of task completion.

Estimated

The check box which sets "estimated" property of the task.

Show in charts/statistics

Check to enable use of the task in Charts and Statistics.

Priority (0-1000)

Indicates a priority of the new task.

Start Date

Specifies a start date of the new task. Press the calendar icon to change the date.

End Date

Specifies a due date of the new task. Press the calendar icon to change the date.

Predecessor Task

Use the drop-down list to select a task to which you want your new task to be part of.

Comment

Specify brief info about the task. It is an optional field for such things as: make the reason for the task clearer, describe the task fully, etc

Buttons

Tasks list

Shows the "Task Manager: Task List" page.

Print

Shows print version of the current page.

Reset

Use this button to clear all the fields of the page.

Save

Creates a new task with the specified parameters.

Delete

Deletes the task.

Users List

Shows the "Task Manager: Involved Users: [task]" page.


"Task Manager: Involved Users: [task]" page

Use this page to specify managers and performers of the task . Move users from the Non Assigned Users list to the Assigned Users list to define all performers of the task. You can also remove a users from the task by deleting them from the Assigned User list.

Fields

Assigned

The list of task performers. Use arrow buttons to add and remove users from the list.

Not assigned

The list of users who are potential performers of the task. Use arrow buttons to add and remove users from the list.

Main User

Use the drop-down list to select a task manager from a list of available users.

Buttons

Arrow buttons

Use arrow buttons to move users from one list box to the other. To move a user, please, select the user in the list and click one of the arrow buttons ( > or < ).

Tasks list

Shows "Task Manager: Task List" page.

Print

Shows print version of the current page.

Reset

Use this button to clear all fields of the page.

Save

Saves all changes.


"Task Manager: Edit Permissions: Task Access Permissions" page

Use this page to manage users’ permissions to the tasks of project. Information about user permissions is displayed in the table which contains one row for each user’s role.

Table Columns

User Role

The name of the user role.

Permissions

The list of group permissions.

Fields

Select project

Combo box which contains the list of projects. Choose the project to which you want to assign permissions.

Buttons

Tasks List

Shows the "Task Manager: Task List" page.

Print

Opens print version of the current page.

Reset

Clears all form fields.

Save

Saves permissions information.


"Task Manager: Task Statistics" page

Use this page to view statistics about user activity in the "Task Manager" subsystem. Specify all report configuration parameters and press "Apply" button to view task statistics.

Fields

Task for Statistic

Choose task the report will be created for.

Start Date

Start date of the report statistics.

End Date

Finish date of the report statistics.

Show by User

Choose user the report will be showed for.

Buttons

Apply

Shows the users’ activity report corresponding entered parameters.


"Site Management: Site List" page

Use this page to manage sites. Information about sites is displayed in the table which contains one row per each site.

Table Columns

ID

ID number of the site

Site Name

Name of the site - field value is implemented as hyperlink to the "Site Management: Menu Editor" page which displays information about inner structure of the site in a tree-like form and enables to select any page of the site for its editing.

URL

URL of the page (Must be relative address, i.e. "Default.aspx").

One of the web service methods for the Site Management requires a relative URL of the page as its parameter. Then this method searches for this relative URL in the database and returns all the stored information about the selected page.

Description

Any user defined description for the site.

Cache Type

Choose cache type for the selected site. This field can have two values: "Type 1" and "No Cache". Sites can cache all the information stored in the database for faster queries processing. Remote sites, which track "ClearCache=1" parameter in URL query, reset their cache independently and reread data from database. Such sites are comprising CacheType 1 sites group.

Clear Cache

This field value is implemented as hyperlink and clears the cache of the remote site when selected. When clicking Clear Cache link, www.w3spt.com generates adressing to the remote site with "ClearCache=1" parameter in URL query, i.e. initiates "reset cache" manually.

Buttons

Add Site

Button opens the "Site Management: Add New Site" page.

Print

Opens print version of the current page.

Edit

Opens the "Site Management: Menu Editor" page for the selected site.

Delete

Deletes the selected site.


"Site Management: Add New Site" page

Use this page to add new site. Information about sites is displayed in the table which contains one row per each site.

Table Columns

ID

ID number of the site

Site Name

Name of the site - field value is implemented as hyperlink to the "Site Management: Menu Editor" page which displays information about inner structure of the site in a tree-like form and enables to select any page of the site for its editing.

URL

URL of the page (Must be relative address, i.e. "Default.aspx").

One of the web service methods for the Site Management requires a relative URL of the page as its parameter. Then this method searches for this relative URL in the database and returns all the stored information about the selected page.

Description

Any user defined description for the site.

Cache Type

Choose cache type for the selected site. This field can have two values: "Type 1" and "No Cache". Sites can cache all the information stored in the database for faster queries processing. Remote sites, which track "ClearCache=1" parameter in URL query, reset their cache independently and reread data from database. Such sites are comprising CacheType 1 sites group.

Clear Cache

This field value is implemented as hyperlink and clears the cache of the remote site when selected. When clicking Clear Cache link, www.w3spt.com generates adressing to the remote site with "ClearCache=1" parameter in URL query, i.e. initiates "reset cache" manually.

Buttons

Add Site

Button opens the "Site Management: Add New Site" page.

Print

Opens print version of the current page.

Update

Saves entered changes.

Cancel

Closes the current page without creation of the new site.

Edit

Opens the "Site Management: Menu Editor" page for the selected site.

Delete

Deletes the selected site.


"Site Management: Edit Site" page

Use this page to edit site. Information about sites is displayed in the table which contains one row per each site.

Table Columns

ID

ID number of the site

Site Name

Name of the site - field value is implemented as hyperlink to the "Site Management: Menu Editor" page which displays information about inner structure of the site in a tree-like form and enables to select any page of the site for its editing.

URL

URL of the page (Must be relative address, i.e. "Default.aspx").

One of the web service methods for the Site Management requires a relative URL of the page as its parameter. Then this method searches for this relative URL in the database and returns all the stored information about the selected page.

Description

Any user defined description for the site.

Cache Type

Choose cache type for the selected site. This field can have two values: "Type 1" and "No Cache". Sites can cache all the information stored in the database for faster queries processing. Remote sites, which track "ClearCache=1" parameter in URL query, reset their cache independently and reread data from database. Such sites are comprising CacheType 1 sites group.

Clear Cache

This field value is implemented as hyperlink and clears the cache of the remote site when selected. When clicking Clear Cache link, www.w3spt.com generates adressing to the remote site with "ClearCache=1" parameter in URL query, i.e. initiates "reset cache" manually.

Buttons

Add Site

Opens the "Site Management: Add New Site" page.

Print

Opens print version of the current page.

Update

Saves entered changes.

Cancel

Closes the current page without saving changes.

Edit

Opens the "Site Management: Menu Editor" page for the selected site.

Delete

Deletes the selected site.


"Site Management: Menu Editor" page

This page is divided into two sections: Tree-like structure of the current site, where user can select necessary page, is placed in the left part of a screen. Table-like structure of the selected page is placed in the middle of a screen. Use this tree to expand/collapse necessary branches, which represent menu items of the site and their corresponding pages. Every selected page is displayed in the middle of a screen as a set of fields in a table, and each of this fields can be edited.

Table Columns

Visibility:

Visibility of the selected page (Visible / Invisible).

Page Type:

Type of the selected page (Article / Theme).

Name:

Name of the selected page as seen in a tree. Mandatory field.

Description:

Description of the selected page. May be empty.

Title:

Title of the selected page (is published in the Internet). May be empty.

URL:

URL of the page (Must be relative address, i.e. "Default.aspx").

One of the web service methods for the Site Management requires a relative URL of the page as its parameter. Then this method searches for this relative URL in the database and returns all the stored information about the selected page.

Article:

Any article from the "Content Manager: [category]: Articles List: [theme]" page

Header Text:

HTML code for the header of the selected page here.

Footer Text:

HTML code for the footer of the selected page here.

Buttons

Site List

Opens the "Site Management: Site List" page.

Add Page

Opens the "Site Management: Page Info Edit: Add New Page" page.

Up

Moves the selected page one page up.

Down

Moves the selected page one page down.

Edit

Opens the "Site Management: Page Info Edit: Edit Page" page page for the selected page.

Delete

Deletes the selected page (only home page, i.e. parental to all the other pages could not be deleted). If selected page has any child pages, they will be deleted as well.


"Site Management: Menu Editor: Page Info Edit (Add Page)" page

This page is required for adding of a new page and its information into the selected in the "Site Management: Menu Editor" page branch. The page contains mandatory fields (Parent Page, Visibility, Page Type, Name) and non-mandatory (Description, Title, URL, Article, Header Text and Footer Text) fields. WYSIWYG button panels placed inside Header Text and Footer Text fields enable you to input required HTML code into the header and footer of a new page.

Table Columns

Parent Page:

Enter the name of the parent page here (if this one exists). Depending on the position of your highlight in the hierarchy tree in the "Site Management: Menu Editor" page, this field is filled automatically, but can be changed.

Visibility:

Visibility of the selected page (Visible / Invisible). Visible is default.

Page Type:

Type of the selected page (Article / Theme). Article is default.

Name:

Name of the selected page as seen in a tree.

Description:

Description of the selected page. You may put any description here.

Title:

Title of the selected page (is published in the Internet).

URL:

URL of the page (Must be relative address, i.e. "Default.aspx").

One of the web service methods for the Site Management requires a relative URL of the page as its parameter. Then this method searches for this relative URL in the database and returns all the stored information about the selected page.

Article:

When you click on Change Article link, you can select any article from the "Content Manager: [category]: Articles List: [theme]" page and insert this article into the current page contents.

Header Text:

Enter HTML code for the header of the selected page here. Use WYSIWIG toolbar buttons and fields for creation and editing of HTML code of your page.

Footer Text:

Enter HTML code for the footer of the selected page here. Use WYSIWIG toolbar buttons and fields for creation and editing of HTML code of your page.

Buttons

Page List

Opens the "Site Management: Menu Editor" page.

Save

Saves entered changes.

Cancel

Closes the current page without saving changes.

Other Controls

Toolbars located in sections "Header Text" and "Footer Text" contain buttons and fields for site editing and represent a WEB-based HTML page editor, which works at WYSIWYG principle. You may insert your own HTML code as well.


"Site Management: Menu Editor: Page Info Edit (Edit Page)" page

This page is required for adding of a new page and its information into the selected in the "Site Management: Menu Editor" page branch. The page contains mandatory fields (Parent Page, Visibility, Page Type, Name) and non-mandatory (Description, Title, URL, Article, Header Text and Footer Text) fields. WYSIWYG button panels placed inside Header Text and Footer Text fields enable you to input required HTML code into the header and footer of an edited page.

Table Columns

Parent Page:

Enter the name of the parent page here (if this one exists). Depending on the position of your highlight in the hierarchy tree in the "Site Management: Menu Editor" page, this field is filled automatically, but can be changed.

Visibility:

Visibility of the selected page (Visible / Invisible). Visible is default.

Page Type:

Type of the selected page (Article / Theme). Article is default.

Name:

Name of the selected page as seen in a tree.

Description:

Description of the selected page. You may put any description here.

Title:

Title of the selected page (is published in the Internet).

URL:

URL of the page (Must be relative address, i.e. "Default.aspx").

One of the web service methods for the Site Management requires a relative URL of the page as its parameter. Then this method searches for this relative URL in the database and returns all the stored information about the selected page.

Article:

When you click on Change Article link, you can select any article from the "Content Manager: [category]: Articles List: [theme]" page and insert this article into the current page contents.

Header Text:

Enter HTML code for the header of the selected page here. Use WYSIWIG toolbar buttons and fields for creation and editing of HTML code of your page.

Footer Text:

Enter HTML code for the footer of the selected page here. Use WYSIWIG toolbar buttons and fields for creation and editing of HTML code of your page.

Buttons

Page List

Opens the "Site Management: Menu Editor" page.

Save

Saves entered changes.

Cancel

Closes the current page without saving changes.

Other Controls

Toolbars located in sections "Header Text" and "Footer Text" contain buttons and fields for site editing and represent a WEB-based HTML page editor, which works at WYSIWYG principle. You may insert your own HTML code as well.


Support

You can find the additional information about the product and how to get our technical support on the product site http://www.w3spt.com. Technical support of the system is carried out in a mode 24 hours per day of 7 days per week. You have an opportunity to ask our experts consultation for various questions about using the system and how WWW Support can help optimize your business process.


Interface features


Using "Site Management" subsystem